Change origin group
Documentation Index
Fetch the complete documentation index at: https://gcore-doc-1046.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Origin group ID.
Body
- None Auth
- AWS Signature V4
Origin group name.
"YourOriginGroup"
Defines whether to use the next origin from the origin group if origin responds with the cases specified in proxy_next_upstream.
If you enable it, you must specify cases in proxy_next_upstream.
Possible values:
- true - Option is enabled.
- false - Option is disabled.
true
- Host Source
- S3 Source
- FastEdge Source
[
{
"enabled": true,
"source": "yourdomain.com",
"backup": false
}
]Defines cases when the request should be passed on to the next origin.
Possible values:
- error - an error occurred while establishing a connection with the origin, passing a request to it, or reading the response header
- timeout - a timeout has occurred while establishing a connection with the origin, passing a request to it, or reading the response header
invalid_header- a origin returned an empty or invalid responsehttp_403- a origin returned a response with the code 403http_404- a origin returned a response with the code 404http_429- a origin returned a response with the code 429http_500- a origin returned a response with the code 500http_502- a origin returned a response with the code 502http_503- a origin returned a response with the code 503http_504- a origin returned a response with the code 504
[
"error",
"timeout",
"invalid_header",
"http_500",
"http_502",
"http_503",
"http_504"
]Deprecated. No longer necessary. Defaults to none.
Origin authentication type.
Possible values:
- none - Used for public origins.
- awsSignatureV4 - Used for S3 storage.
"none"
Deprecated. No longer necessary. Omit this field and the default origin path behavior will be used.
Origin path prefix.
""
Response
Successful.
- None Auth
- AWS Signature V4
Origin group with host origins, or mixed host and S3 origins using inline origin_type and config in sources.
Origin group ID.
1
Origin group name.
"YourOriginGroup"
List of origin sources in the origin group. Each entry can be a host origin or an S3 origin.
Host origins have a source field with the hostname or IP. S3 origins have origin_type: s3
and a config object with S3 credentials. Both types can be mixed in the same origin group.
A host origin source.
- Host Source
- S3 Source
- FastEdge Source
[
{
"source": "yourwebsite.com",
"backup": false,
"enabled": true,
"tag": "default",
"host_header_override": null
},
{
"source": "1.2.3.4:5500",
"backup": true,
"enabled": true,
"tag": "default",
"host_header_override": null
},
{
"origin_type": "s3",
"config": {
"s3_type": "amazon",
"s3_bucket_name": "my-bucket",
"s3_region": "eu-west-1",
"s3_access_key_id": "SECRET_VALUE",
"s3_secret_access_key": "SECRET_VALUE",
"s3_auth_type": "awsSignatureV4"
},
"backup": true,
"enabled": true,
"tag": "default",
"host_header_override": null
}
]Defines whether to use the next origin from the origin group if origin responds with the cases specified in proxy_next_upstream.
If you enable it, you must specify cases in proxy_next_upstream.
Possible values:
- true - Option is enabled.
- false - Option is disabled.
true
Defines cases when the request should be passed on to the next origin.
Possible values:
- error - an error occurred while establishing a connection with the origin, passing a request to it, or reading the response header
- timeout - a timeout has occurred while establishing a connection with the origin, passing a request to it, or reading the response header
invalid_header- a origin returned an empty or invalid responsehttp_403- a origin returned a response with the code 403http_404- a origin returned a response with the code 404http_429- a origin returned a response with the code 429http_500- a origin returned a response with the code 500http_502- a origin returned a response with the code 502http_503- a origin returned a response with the code 503http_504- a origin returned a response with the code 504
[
"error",
"timeout",
"invalid_header",
"http_500",
"http_502",
"http_503",
"http_504"
]Deprecated. No longer necessary. Defaults to none.
Origin authentication type.
Possible values:
- none - Used for public origins.
- awsSignatureV4 - Used for S3 storage.
"none"
Deprecated. No longer necessary. Omit this field and the default origin path behavior will be used.
Origin path prefix.
""
Defines whether the origin group has related CDN resources.
Possible values:
- true - Origin group has related CDN resources.
- false - Origin group does not have related CDN resources.
true